import { OnInit, EventEmitter } from "@angular/core";
import * as moment from "moment";
export declare class DateRangePickerComponent implements OnInit {
    date: any;
    onDateChange: EventEmitter<any>;
    startDate: any;
    endDate: any;
    format: string;
    disabled: boolean;
    showCalOptions: boolean;
    showTimePicker: boolean;
    fromMin: Date;
    fromMax: Date;
    toMin: Date;
    toMax: Date;
    startDateTime: string;
    endDateTime: string;
    right: boolean;
    bottom: boolean;
    weekDays: string[];
    daysArr: any;
    years: any;
    months: string[];
    options: {
        id: number;
        name: string;
        startDate: moment.Moment;
        endDate: moment.Moment;
    }[];
    currentYear: any;
    currentTime: string;
    startDateSelected: any;
    endDateSelected: any;
    optionSelected: any;
    showDrp: boolean;
    selectedMonth: any;
    selectedYear: any;
    selectedMonthID: Number;
    isMonthChanged: boolean;
    isYearChanged: boolean;
    disablePrevious: boolean;
    disableNext: boolean;
    startDateCalendar: boolean;
    endDateCalendar: boolean;
    startDatePlaceholder: string;
    endDatePlaceholder: string;
    startDateHours: any;
    startDateMinutes: any;
    endDateHours: any;
    endDateMinutes: any;
    startDateMeridiem: any;
    endDateMeridiem: any;
    meridiem: string[];
    isMeridiemChanged: boolean;
    animationState: string;
    mmmDDYYYYFormat: boolean;
    constructor();
    onClickedOutside(e: Event): void;
    ngOnInit(): void;
    generateYearsArr(startYear?: any, endYear?: any): void;
    createCalendar(date: any): any;
    setStartAndEndDate(startDate: any, endDate: any, daysArr: any): void;
    setCurrentDate(day: any): boolean;
    onMonthChange(month: any): void;
    onYearChange(year: any): void;
    previousMonth(): void;
    nextMonth(): void;
    startDateCalendarClick(): void;
    endDateCalendarClick(): void;
    setDate(day: any): void;
    setStartDate(day: any): void;
    setEndDate(day: any): void;
    getAllDates(startDate: any, endDate: any): any[];
    isSelected(day: any): boolean;
    isLessThan(day: any): boolean;
    isGreaterThan(day: any): boolean;
    isDisabled(day: any): boolean;
    toggleDateRangePicker(): void;
    showDateRangePicker(): void;
    onCalOptionClick(calendarOption: any): void;
    setCalendarOption(startDate: any, endDate: any): void;
    setHours(event: any): void;
    setMinutes(event: any): void;
    onMeridiemChange(e: any): void;
    onInput(inputValue: any): void;
    setInputDate(): void;
}
