import { OnInit, EventEmitter } from '@angular/core';
export declare class CheckboxComponent implements OnInit {
    /**
   * Toggle the underlying checkbox if the isChecked property changes
   */
    checked: boolean;
    /**
     * Define if the checkbox is disabled
     */
    disabled: boolean;
    /**
     * Define if the checkbox should be indeterminate
     */
    indeterminate: boolean;
    change: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    onCheckboxStateChanged(e: any): void;
}
